# Basic Tenants
* Ease of Use > Accuracy > Speed (with speed more important with 'fast' selections)
* Availability of models which share information among series
* All models should be probabilistic (upper/lower forecasts)
* New transformations should be applicable to many datasets and models
* New models need only be sometimes applicable
* Fault tolerance: it is perfectly acceptable for model parameters to fail on some datasets, the higher level API will pass over and use others.
* Missing data tolerance: large chunks of data can be missing and model will still produce reasonable results (although lower quality than if data is available)

## Assumptions on Data
* Series will largely be consistent in period, or at least up-sampled to regular intervals
* The most recent data will generally be the most important
* Forecasts are desired for the future immediately following the most recent data.

# Latest
* update validation template creation for horizontal ensembles
* made MultivariateRegression probabilistic
* fixed bug where weighting didn't take floats
* pushed the evaluate options from a separate function to part of the PredictionObject
* added 'custom' validation option
* added "similarity" validation option
* SectionalMotif model added
* window functions grouped in module
* fixed bugs in holiday_flag
* holiday_flag now has holiday categorical encoding option and works better on sub-daily data
* create_regressor handle categorical features
* 'superfast' transformer_dict now adjusts fillna methods as well
* optimizing metric calculation runtimes (feel the speed of 500 µs savings!)

### New Model Checklist:
	* Add to ModelMonster in auto_model.py
	* add to appropriate model_lists: all, recombination_approved if so, no_shared if so
	* add to model table in extended_tutorial.md (most columns here have an equivalent model_list)

## New Transformer Checklist:
	* Make sure that if it modifies the size (more/fewer columns or rows) it returns pd.DataFrame with proper index/columns
	* depth of recombination is?
	* add to "all" transformer_dict
	* add to no_params or external if so
	* add to no_shared if so, in auto_model.py
	* oddities_list for those with forecast/original transform difference
